Opened 6 months ago

Closed 6 months ago

#27855 closed enhancement (fixed)

polymake: Add spkg-legacy-uninstall, use sdh scripts

Reported by: mkoeppe Owned by:
Priority: major Milestone: sage-8.8
Component: packages: experimental Keywords:
Cc: dimpase, gh-sophiasage, jipilab Merged in:
Authors: Matthias Koeppe Reviewers: Dima Pasechnik
Report Upstream: N/A Work issues:
Branch: e436971 (Commits) Commit: e4369711ffdde3737a69e20d210fcaba6b527beb
Dependencies: Stopgaps:

Description

This is to make installation more robust (see #27763).

Change History (7)

comment:1 Changed 6 months ago by mkoeppe

  • Branch set to u/mkoeppe/polymake__add_spkg_legacy_uninstall__use_sdh_scripts__destdir_install

comment:2 Changed 6 months ago by mkoeppe

  • Authors set to Matthias Koeppe
  • Commit set to e4369711ffdde3737a69e20d210fcaba6b527beb
  • Status changed from new to needs_review

New commits:

8f40c63Add build/pkgs/polymake/spkg-legacy-uninstall
e436971polymake: DESTDIR install, use sdh scripts

comment:3 Changed 6 months ago by mkoeppe

  • Summary changed from polymake: Add spkg-legacy-uninstall, use sdh scripts, DESTDIR install to polymake: Add spkg-legacy-uninstall, use sdh scripts

comment:4 Changed 6 months ago by mkoeppe

The two-stage install via DESTDIR actually does not work, but nevertheless this branch is an improvement.

comment:5 Changed 6 months ago by mkoeppe

Needs review.

comment:6 Changed 6 months ago by dimpase

  • Reviewers set to Dima Pasechnik
  • Status changed from needs_review to positive_review

looks good to me

comment:7 Changed 6 months ago by vbraun

  • Branch changed from u/mkoeppe/polymake__add_spkg_legacy_uninstall__use_sdh_scripts__destdir_install to e4369711ffdde3737a69e20d210fcaba6b527beb
  • Resolution set to fixed
  • Status changed from positive_review to closed
Note: See TracTickets for help on using tickets.